function onBegin()
	disableMovement()
	disableRetry()
	if getFlag("didntSkipIntro") and not getFlag("secondIntroSeen") then
		player.DummyAutoAnimate = false
		player.Sprite:Play("wakeUp")
		wait(2.5)
		say("CC_SubnauticaInt_MoreIntro")
		setFlag("secondIntroSeen",true)
	end
end

function onEnd(room,wasSkipped)
	enableMovement()
	enableRetry()
end